import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {DisciplineResponse} from "@api/v1/disciplineResponse";

@Injectable()
export class DisciplineService extends ApiService {
  public readonly basePath = 'Discipline/';
  public readonly version = AvailableVersion.v1;

  public getDisciplines(page: number | null = null, pageSize: number | null = null) {
    let request = this.createRequestBuilder()
      .setQueryParams({page: page, pageSize: pageSize})
      .build;

    return this.get<DisciplineResponse[]>(request);
  }

  public getById(id: number) {
    return this.get<DisciplineResponse>(id.toString());
  }
}
