import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {ProfessorResponse} from "@api/v1/professorResponse";

@Injectable()
export class ProfessorService extends ApiService {
  public readonly basePath = 'Professor/';
  public readonly version = AvailableVersion.v1;

  public getProfessors(page: number | null = null, pageSize: number | null = null) {
    let request = this.createRequestBuilder()
      .setQueryParams({page: page, pageSize: pageSize})
      .build;

    return this.get<ProfessorResponse[]>(request);
  }

  public getById(id: number) {
    return this.get<ProfessorResponse>(id.toString());
  }
}
