import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {PasswordPolicy} from "@model/passwordPolicy";

@Injectable()
export default class SecurityService extends ApiService {
  public readonly basePath = 'Security/';
  public readonly version = AvailableVersion.v1;

  public generateTotpQrCode(totpKey: string, username: string) {
    let request = this.createRequestBuilder()
      .setEndpoint('GenerateTotpQrCode')
      .setQueryParams({totpKey: totpKey, label: username})
      .build;

    return this.combinedUrl(request);
  }

  public passwordPolicy() {
    let request = this.createRequestBuilder()
      .setEndpoint('PasswordPolicy')
      .build;

    return this.get<PasswordPolicy>(request);
  }
}
